%define upstream_name    Catalyst-Plugin-Session-Store-File
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	File storage backend for session data
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Nagios/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Cache::Cache) >= 1.02
BuildRequires:	perl(Catalyst) >= 5
BuildRequires:	perl(Catalyst::Plugin::Session) >= 0.01
BuildRequires:	perl(Class::Accessor::Fast) >= 0.22
BuildRequires:	perl(Class::Data::Inheritable) >= 0.04
BuildRequires:	perl(inc::Module::Install)

BuildArch:	noarch


Provides:   perl-Catalyst-P-S-Store-File
Obsoletes:  perl-Catalyst-P-S-Store-File

%description
Catalyst::Plugin::Session::Store::File is an easy to use storage plugin for
Catalyst that uses an simple file to act as a shared memory interprocess cache.
It is based on Cache::FileCache.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.180.0-11.mga8
+ Revision: 1503536
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.180.0-10.mga7
+ Revision: 1282231
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.180.0-9.mga7
+ Revision: 1167795
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.180.0-8.mga6
+ Revision: 1023376
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.180.0-7.mga6
+ Revision: 948569
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.180.0-6.mga5
+ Revision: 788043
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-5.mga5
+ Revision: 742540
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.180.0-3.mga4
+ Revision: 509789
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 364053
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 41043
- mageia rebuild
- imported package perl-Catalyst-Plugin-Session-Store-File

